Page MenuHomePhabricator

Doing Cool Things with Wiki Content (and the Parsoid HTML5 DOM)
Closed, ResolvedPublic

Description

The Parsoid HTML5 DOM is much easier to analyze and manipulate than wikitext. This would be a workshop for bot authors, alternative renders, data miners, and anyone else interested in "doing stuff" with article contents. Learn from the Parsoid team about the DOM and how you can use it to accomplish your goals. "We deal with wikitext so that you don't have to! (R)"

Event Timeline

cscott created this task.Jul 8 2015, 3:54 PM
cscott updated the task description. (Show Details)
cscott raised the priority of this task from to Normal.
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2015, 3:54 PM

I'm thinking basically: 1) parsoid is HTML, whee! 2) some example Parsoid HTML, 3) some example DOM manipulations/searches in the browser, 4) an example of using request in node to get Parsoid DOM for a page, domino to parse, then do the same search as (3), 5) question time.

Hopefully (4) is still short enough to fit comfortably on one slide. It should be.

Maybe stick a 3.5 in there which outlines the Parsoid v2 API. Or the RESTBase API.

@GWicke had some slides for a similar presentation at the Lyons hackathon, perhaps we can reuse some of this slides (or all of them).

cscott added a comment.EditedJul 14 2015, 7:00 AM

Slides: https://docs.google.com/presentation/d/1lixttQ64-vRcxP5tO3hFuIXzg0lbC__w3g-yLN3K0yU/edit?usp=sharing

I'll upload this in PDF format to commons after I present it on Wednesday; I reserve the right to make further changes between now and then.

What is the status of this task, now that Wikimania 2015 is over? Did this training session take place? If yes: Please provide an update and potentially summarize findings / potentially provide a link to anything relevant. If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task / potentially close this task by editing its status. Thanks for your help and keeping this task updated!

cscott added a comment.EditedJul 23 2015, 7:18 PM

The training session took place, and was well received! The slides are linked above.

Ricordisamoa added a subscriber: Ricordisamoa.
Elitre added a subscriber: Elitre.Jul 24 2015, 12:16 PM
Qgil added a subscriber: Qgil.Sep 16 2015, 10:16 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

cscott closed this task as Resolved.Sep 18 2015, 4:36 AM
cscott claimed this task.

Video recording at https://youtu.be/3WJID_WC7BQ